vn.py量化社区
By Traders, For Traders.
Member
加入于:
帖子: 7
声望: 0

python命令行运行如下
`>>> import vnpy.api.oes

import vnpy.api.rest
import vnpy.api.tap
import vnpy.api.tora
import vnpy.api.websocket
import vnpy.api.xtp
import vnpy.api.apex
import vnpy.api.mini
Traceback (most recent call last):
File "<stdin>", line 1, in <module>
File "/qvirs/qvirs_prd/vnpy_prd/vnpy/api/mini/init.py", line 1, in <module>
from .vnminimd import MdApi
ModuleNotFoundError: No module named 'vnpy.api.mini.vnminimd'

import vnpy.api.oes
`
加载vnpy.api.mini出错,其他正常,import vnpy.api.mini出错,mini文件夹下文件如下:
```
总用量 5696
d--------- 1 root root 128 8月 20 10:39 generator
d--------- 1 root root 24 8月 20 10:39 include
---------- 1 root root 85 8月 20 10:39 init.py
d--------- 1 root root 72 8月 20 10:39 libs
---------- 1 root root 37317 8月 20 10:39 mini_constant.py
d--------- 1 root root 46 8月 30 14:12 pycache
---------- 1 root root 602624 8月 20 10:39 thostmduserapi.dll
---------- 1 root root 2423296 8月 20 10:39 thosttraderapi.dll
d--------- 1 root root 68 8月 20 10:39 vnmini
---------- 1 root root 880640 8月 20 10:39 vnminimd.pyd
---------- 1 root root 1750 8月 20 10:39 vnminitd.lib
---------- 1 root root 1869824 8月 20 10:39 vnminitd.pyd

```
不知是什么原因

Member
avatar
加入于:
帖子: 8
声望: 0

我的错误也是找不到这个模块!

Administrator
avatar
加入于:
帖子: 1690
声望: 80

这两个模块都只支持windows

Member
avatar
加入于:
帖子: 8
声望: 0

那也就是说2.0.6运行在ubuntu下其实是有bug在,如果不自己注释掉这些引用,在ubuntu下实际运行不起来!

© 2015-2019 上海韦纳软件科技有限公司
备案服务号:沪ICP备18006526号-3